Index: commands/__init__.py
===================================================================
--- commands/__init__.py	(revision cc34991f2098692a2cb2a9e913bd6667d38fdab5)
+++ commands/__init__.py	(revision cc34991f2098692a2cb2a9e913bd6667d38fdab5)
@@ -0,0 +1,13 @@
+# This file is part of python-cinema-club-bot
+# contributed in 2024 by Mikhail Kirillov (~w96k) <w96k@runbox.com>
+
+# To the extent possible under law, the author(s) have dedicated all copyright
+# and related and neighboring rights to this software to the public domain
+# worldwide. This software is distributed without any warranty.
+
+# You should have received a copy of the CC0 Public Domain Dedication along
+# with this software. If not, see:
+# <http://creativecommons.org/publicdomain/zero/1.0/>
+
+from .meta import about
+from .users import add_users, list_users, remove_users, chooser_user
Index: commands/meta.py
===================================================================
--- commands/meta.py	(revision cc34991f2098692a2cb2a9e913bd6667d38fdab5)
+++ commands/meta.py	(revision cc34991f2098692a2cb2a9e913bd6667d38fdab5)
@@ -0,0 +1,32 @@
+# This file is part of python-cinema-club-bot
+# contributed in 2024 by Mikhail Kirillov (~w96k) <w96k@runbox.com>
+
+# To the extent possible under law, the author(s) have dedicated all copyright
+# and related and neighboring rights to this software to the public domain
+# worldwide. This software is distributed without any warranty.
+
+# You should have received a copy of the CC0 Public Domain Dedication along
+# with this software. If not, see:
+# <http://creativecommons.org/publicdomain/zero/1.0/>
+
+from telegram import Update
+from telegram.ext import ContextTypes
+
+
+async def about(update: Update, context: ContextTypes.DEFAULT_TYPE) -> None:
+    await update.message.reply_text('''
+Version InDev
+
+python-cinema-club-bot is a bot for Telegram specialized for managing cinema club activities. This software is released as Public Domain using CC0 license.
+
+Project information: http://57.129.46.169/trac/wiki/python-cinema-club-bot
+Source code: http://57.129.46.169/cgit/python-cinema-club-bot/
+
+Contributed in 2024 by Mikhail Kirillov (~w96k) <w96k@runbox.com>
+
+To the extent possible under law, the author(s) have dedicated all copyright and related and neighboring rights to this software to the public domain worldwide. This software is distributed without any warranty.
+
+You should have received a copy of the CC0 Public Domain Dedication along with this software. If not, see:
+<http://creativecommons.org/publicdomain/zero/1.0/>
+
+    ''')
Index: commands/users.py
===================================================================
--- commands/users.py	(revision cc34991f2098692a2cb2a9e913bd6667d38fdab5)
+++ commands/users.py	(revision cc34991f2098692a2cb2a9e913bd6667d38fdab5)
@@ -0,0 +1,91 @@
+# This file is part of python-cinema-club-bot
+# contributed in 2024 by Mikhail Kirillov (~w96k) <w96k@runbox.com>
+
+# To the extent possible under law, the author(s) have dedicated all copyright
+# and related and neighboring rights to this software to the public domain
+# worldwide. This software is distributed without any warranty.
+
+# You should have received a copy of the CC0 Public Domain Dedication along
+# with this software. If not, see:
+# <http://creativecommons.org/publicdomain/zero/1.0/>
+
+from telegram import Update, error
+from telegram.ext import ContextTypes
+from collections import deque
+
+from strings import USER_NOT_PROVIDED, USER_ADDED, USER_REMOVED, EXPECTED_ONE_USER
+from utils import context_init
+
+from rich import inspect
+
+
+async def add_users(
+        update: Update,
+        context: ContextTypes.DEFAULT_TYPE
+) -> None:
+    context_init(context)
+
+    if context.args == []:
+        await update.message.reply_text(USER_NOT_PROVIDED)
+        raise error.TelegramError(USER_NOT_PROVIDED)
+
+    for user in context.args:
+        context.chat_data["users"].append(user)
+        await update.message.reply_text(USER_ADDED.format(user=user))
+
+    await update.message.reply_text(context.chat_data["users"])
+
+
+async def list_users(
+        update: Update,
+        context: ContextTypes.DEFAULT_TYPE
+) -> None:
+    context_init(context)
+
+    await update.message.reply_text(context.chat_data["users"])
+
+
+async def remove_users(
+        update: Update,
+        context: ContextTypes.DEFAULT_TYPE
+) -> None:
+    context_init(context)
+
+    if context.args == []:
+        await update.message.reply_text(USER_NOT_PROVIDED)
+        raise error.TelegramError(USER_NOT_PROVIDED)
+
+    for user in context.args:
+        if user == "*":
+            context.chat_data["users"] = []
+            break
+
+        context.chat_data["users"].remove(user)
+        await update.message.reply_text(USER_REMOVED.format(user=user))
+
+    await update.message.reply_text(context.chat_data["users"])
+
+
+async def chooser_user(
+        update: Update,
+        context: ContextTypes.DEFAULT_TYPE
+) -> None:
+    context_init(context)
+
+    if context.args == []:
+        await update.message.reply_text(USER_NOT_PROVIDED)
+        raise error.TelegramError(USER_NOT_PROVIDED)
+
+    if len(context.args) > 1:
+        await update.message.reply_text(EXPECTED_ONE_USER)
+        raise error.TelegramError(EXPECTED_ONE_USER)
+
+    chooser = context.args[0]
+    users = deque(context.chat_data["users"])
+
+    chooser_index = users.index(chooser)
+    users.rotate(-chooser_index)
+
+    context.chat_data["users"] = list(users)
+
+    await update.message.reply_text(context.chat_data)
